{ lib, ... }:

with lib.hm.gvariant;
{
  dconf.settings = {
    "org/gnome/desktop/input-sources" = {
      per-window = false;
      mru-sources = [
        (mkTuple [
          "ibus"
          "hangul"
        ])
        (mkTuple [
          "ibus"
          "anthy"
        ])
        (mkTuple [
          "ibus"
          "pinyin"
        ])
        (mkTuple [
          "ibus"
          "uniemoji"
        ])
      ];
      sources = [
        (mkTuple [
          "ibus"
          "hangul"
        ])
        (mkTuple [
          "ibus"
          "anthy"
        ])
        (mkTuple [
          "ibus"
          "pinyin"
        ])
        (mkTuple [
          "ibus"
          "uniemoji"
        ])
      ];
    };

    "org/freedesktop/ibus/engine/hangul" = {
      auto-reorder = false;
      hangul-keyboard = "2";
      hanja-keys = "Hangul_Hanja";
      initial-input-mode = "latin";
      switch-keys = "Multi_key,Alt_R";
      word-commit = false;
    };

    "org/gnome/desktop/peripherals/mouse" = {
      accel-profile = "flat";
      speed = -0.5;
    };

    "org/gnome/desktop/peripherals/touchpad" = {
      click-method = "fingers";
      disable-while-typing = false;
      tap-to-click = true;
      two-finger-scrolling-enabled = true;
    };

    "org/gnome/shell/keybindings" = {
      switch-to-application-1 = [ ];
      switch-to-application-2 = [ ];
      switch-to-application-3 = [ ];
      switch-to-application-4 = [ ];
      switch-to-application-5 = [ ];
      switch-to-application-6 = [ ];
      switch-to-application-7 = [ ];
      switch-to-application-8 = [ ];
      switch-to-application-9 = [ ];
    };

    "org/gnome/desktop/wm/keybindings" = {
      close = [ "<Shift><Control>q" ];
      show-desktop = [ "<Super>d" ];

      move-to-workspace-1 = [ "<Shift><Super>7" ];
      move-to-workspace-2 = [ "<Shift><Super>8" ];
      move-to-workspace-3 = [ "<Shift><Super>9" ];
      move-to-workspace-4 = [ "<Shift><Super>0" ];

      switch-to-workspace-1 = [ "<Super>7" ];
      switch-to-workspace-2 = [ "<Super>8" ];
      switch-to-workspace-3 = [ "<Super>9" ];
      switch-to-workspace-4 = [ "<Super>0" ];

      move-to-workspace-last = [ ];
      move-to-workspace-left = [ "<Shift><Super>comma" ];
      move-to-workspace-right = [ "<Shift><Super>period" ];

      switch-to-workspace-last = [ ];
      switch-to-workspace-left = [ "<Super>comma" ];
      switch-to-workspace-right = [ "<Super>period" ];
    };

    "org/gnome/mutter/keybindings" = {
      toggle-tiled-left = [ ];
      toggle-tiled-right = [ ];
    };

    "org/gnome/settings-daemon/plugins/media-keys" = {
      custom-keybindings = [
        "/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0/"
      ];
      screensaver = [ "<Super>l" ];
    };

    "org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/custom0" = {
      binding = "<Super>t";
      command = "ghostty";
      name = "Terminal";
    };
  };
}
