{ pkgs, config, ... }:

{
  environment.systemPackages = with pkgs; [
    nautilus
    nautilus-python
    code-nautilus
  ];

  environment.sessionVariables.NAUTILUS_4_EXTENSION_DIR = "${pkgs.nautilus-python}/lib/nautilus/extensions-4";
  environment.pathsToLink = [ "/share/nautilus-python/extensions" ];
  programs.nautilus-open-any-terminal = {
    enable = true;
    terminal = "ghostty";
  };

  # https://wiki.nixos.org/wiki/Nautilus#GVfs
  services.gvfs.enable = true;
  environment.sessionVariables.GIO_EXTRA_MODULES = [
    "${config.services.gvfs.package}/lib/gio/modules"
  ];
}
